## prometheus-homeplug-exporter 0.4.0

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO    := GO111MODULE=on go
PROMU := $(shell $(GO) env GOPATH)/bin/promu
pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX                  ?= $(shell pwd)
BIN_DIR                 ?= $(shell pwd)
DOCKER_IMAGE_NAME       ?= homeplug-exporter
DOCKER_IMAGE_TAG        ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))

all: format build test

test:
	@echo ">> running tests"
	@$(GO) test -short $(pkgs)

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

promu:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
		GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
		$(GO) get -u github.com/prometheus/promu

.PHONY: all style format build test vet tarball docker promu

## prometheus-homeplug-exporter 0.3.0

=== debian/changelog ===
prometheus-homeplug-exporter (0.3.0-1) unstable; urgency=medium

  * New upstream release which includes my patch.

 -- Martina Ferrari <tina@debian.org>  Thu, 02 Jul 2020 15:45:59 +0100

prometheus-homeplug-exporter (0.1.0+7-1) unstable; urgency=medium

  * New upstream snapshot, including proper copyright attribution.
  * Update initscript and remove unrelated stuff in rules.
  * Remove unneeded patch, and revert base unit change.
  * Bump debhelper-compat to 13.

 -- Martina Ferrari <tina@debian.org>  Wed, 01 Jul 2020 15:52:19 +0000

prometheus-homeplug-exporter (0.1.0+2-1) unstable; urgency=medium

  * Initial release. Closes: #960795

 -- Martina Ferrari <tina@debian.org>  Sat, 16 May 2020 20:02:58 +0000

=== debian/control ===
Source: prometheus-homeplug-exporter
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-mdlayher-ethernet-dev,
               golang-github-mdlayher-raw-dev,
               golang-github-prometheus-client-golang-dev (>= 0.9.0~pre1+git20180417),
               golang-github-prometheus-common-dev (>= 0+git20171117),
               golang-gopkg-alecthomas-kingpin.v2-dev,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-homeplug-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-homeplug-exporter.git
Homepage: https://github.com/brandond/homeplug_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/brandond/homeplug_exporter

Package: prometheus-homeplug-exporter
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: daemon | systemd-sysv,
         debconf,
         libcap2-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for HomePlug/Power Line Communication
 Exports HomePlug PLC network and station statistics via HTTP for Prometheus
 consumption.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DH_VERBOSE=1

BUILDDIR := $(CURDIR)/build
METAPKG := github.com/prometheus/common

BRANCH     := debian/sid
USER       := pkg-go-maintainers@lists.alioth.debian.org
BUILD_DATE  = $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' \
    +%Y%m%d-%H:%M:%S)
GO_VERSION  = $(shell go version | sed 's/go version \(\S*\).*/\1/')
BUILDFLAGS  = -ldflags \
  " -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
    -X $(METAPKG)/version.Branch=$(BRANCH)\
    -X $(METAPKG)/version.BuildUser=$(USER)\
    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)"

%:
	dh $@ --buildsystem=golang --with=golang \
            --builddirectory=$(BUILDDIR)

BINNAME := $(DEB_SOURCE)
WHATIS := "$(BINNAME) \\- Prometheus exporter for HomePlug/Power Line Communication"

override_dh_auto_build:
	dh_auto_build -- $(BUILDFLAGS)
	# Rename the binary to match the debian package.
	cp -v $(BUILDDIR)/bin/homeplug_exporter $(BUILDDIR)/bin/$(BINNAME)
	build/bin/$(BINNAME) --help-man > build/$(BINNAME).1
	# Remove build user/build date/go version headers, which is ugly.
	sed -i -e '/^  /d' build/$(BINNAME).1
	# Fix whatis entry.
	sed -i '/^.SH "NAME"/,+1c.SH "NAME"\n'$(WHATIS) build/$(BINNAME).1
	# Remove default values as they create unwieldy long lines.
	sed -i 's/\\fB--\(.*\)=".*"\\fR/\\fB--\1\\fR/' build/$(BINNAME).1

override_dh_auto_install:

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-homeplug-exporter-$1.tar.gz/,dversionmangle=s/\+ds.*$//,uversionmangle=s/-?(rc\.?\d+)/~$1/" \
         https://github.com/brandond/homeplug_exporter/tags \
         (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz

## prometheus-homeplug-exporter 0.4.0

=== debian/changelog ===
prometheus-homeplug-exporter (0.4.0-1ubuntu0.24.10.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Tue, 01 Jul 2025 13:41:30 +1000

prometheus-homeplug-exporter (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches already applied upstream.
  * New patch: Revert alecthomas/kingpin import path.
  * Upstream seems abandoned, switch to my fork of the project.
  * Update Standards-Version with no changes.

 -- Martina Ferrari <tina@debian.org>  Thu, 28 Mar 2024 22:23:54 +0000

prometheus-homeplug-exporter (0.3.0-5) unstable; urgency=medium

  * Team upload
  * Convert patches to gbp-pq format
  * Add new 0002-Support-prometheus-common-v0.50.0.patch (Closes: #1067387)
  * Bump golang-github-prometheus-client-golang-dev version constraint
    (>= 1.19.0)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 21 Mar 2024 15:34:27 +0000

prometheus-homeplug-exporter (0.3.0-4) unstable; urgency=medium

  * Team upload
  * debconf: add Portuguese translation (Closes: #982810)
  * debconf: add Brazilian Portuguese translation (Closes: #987434)
  * debconf: add Spanish translation (Closes: #988380)

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 08 Oct 2022 13:15:02 +0000

prometheus-homeplug-exporter (0.3.0-3) unstable; urgency=medium

  * Team upload
  * Add new 01-use-go-kit-log.patch to build successfully against newer
    golang-github-prometheus-common versions (Closes: #1002268)
  * Update Build-Depends

 -- Daniel Swarbrick <dswarbrick@debian.org>  Fri, 07 Oct 2022 23:52:05 +0000

prometheus-homeplug-exporter (0.3.0-2) unstable; urgency=medium

  [ Martina Ferrari ]
  * Update team email address in Maintainer.
  * Merge minor packaging updates for prom-team.
  * Add French translation to debconf templates. Thanks to Jean-Pierre
    Giraud <jenapierregiraud75@free.fr> for the patch. (Closes: #968117)
  * Add Dutch translation to debconf templates. Thanks to Frans
    Spiesschaert <Frans.Spiesschaert@yucom.be> for the patch. (Closes:
    #968745)
  * Add German translation to debconf templates. Thanks to Helge
    Kreutzmann <debian@helgefjell.de> for the patch. (Closes: #969233)
  * Merge minor packaging updates for prom-team.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Martina Ferrari <tina@debian.org>  Wed, 18 Nov 2020 19:29:04 +0000

=== debian/control ===
Source: prometheus-homeplug-exporter
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Martina Ferrari <tina@debian.org>,
Section: net
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-go-kit-log-dev,
               golang-github-mdlayher-ethernet-dev,
               golang-github-mdlayher-raw-dev,
               golang-github-prometheus-client-golang-dev (>= 1.19.0),
               golang-github-prometheus-common-dev (>= 0.26.0),
               golang-gopkg-alecthomas-kingpin.v2-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-homeplug-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-homeplug-exporter.git
Homepage: https://github.com/NightTsarina/homeplug_exporter
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/NightTsarina/homeplug_exporter

Package: prometheus-homeplug-exporter
Architecture: any
Depends: daemon | systemd-sysv,
         debconf,
         libcap2-bin,
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Built-Using: ${misc:Built-Using},
Description: Prometheus exporter for HomePlug/Power Line Communication
 Exports HomePlug PLC network and station statistics via HTTP for Prometheus
 consumption.

=== debian/watch ===
version=4

opts=filenamemangle=s/(?:.*\/)?v?([^\/]+)\.tar\.gz/prometheus-homeplug-exporter-$1.tar.gz/,\
dversionmangle=s/\+ds\d*$//,\
uversionmangle=s/-?(rc\.?\d+)/~$1/ \
  https://github.com/NightTsarina/homeplug_exporter/tags \
  (?:.*/)?v?(\d[\d\.]*(?:-?rc\.?\d+)?)\.tar\.gz
